<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}  
    
    /*********************
    Breadcrumbs
    *******************/
    $wp_customize->add_section('digital_breadcrumbs_section',
    array(
        'title'       => __( 'Breadcrumbs', 'digital' ),
        'capability'  => 'edit_theme_options',						
        'panel'			=> 'digital_single_postsset',
        'priority'    => apply_filters( 'digital_breadcrumbs_section_priority', 10 ),
    ));


    $wp_customize->add_setting(
        'digital_header_heading',
        array(
            'sanitize_callback' => 'wp_kses',
        ));

    $wp_customize->add_control(
        new digital_Customizer_Heading_Control(
            $wp_customize,
            'digital_header_heading',
            array(
                'label'    => esc_html__( 'Choose breadcrumbs Style', 'digital' ),
                'section'  => 'digital_breadcrumbs_section',
                'priority' => 15,
            )));
    $wp_customize->add_setting(
    'digital_breadcrumbs_style',
    array(
        'default'           => 'styleone',
        'type'              => 'theme_mod',
        'sanitize_callback' => 'digital_customize_sanitize_select',
        'capability'        => 'edit_theme_options',
    )
);

$wp_customize->add_control(
    new digital_Image_Radio_Control(
        $wp_customize,
        'digital_breadcrumbs_style',
        array(
            'label'       => __( 'Breadcrumbs Style', 'digital' ),
            'section'     => 'digital_breadcrumbs_section',
            'choices'     => array(
                'styleone'  => get_template_directory_uri() . '/images/breadcrumbs/breadcrumbsstyle1.jpg',
                'styletwo' => get_template_directory_uri() . '/images/breadcrumbs/breadcrumbsstyle2.jpg',
                'stylethree' => get_template_directory_uri() . '/images/breadcrumbs/breadcrumbsstyle3.jpg',
                'stylefour' => get_template_directory_uri() . '/images/breadcrumbs/breadcrumbsstyle4.jpg',
            ),
            'priority'    => apply_filters( 'digital_breadcrumbs_style_priority', 20 ),
        )
    ));
    
    $wp_customize->add_setting(
        'digital_breadcrumbs_headingset',
        array(
            'sanitize_callback' => 'wp_kses',
        ));


        $wp_customize->add_control(
            new digital_Customizer_Heading_Control(
                $wp_customize,
                'digital_breadcrumbs_headingset',
                array(
                    'label'    => esc_html__( 'Breadcrumbs Settings', 'digital' ),
                    'section'  => 'digital_breadcrumbs_section',
                    'priority' => 25,
                )));
        
        $wp_customize->add_setting('digital_breadcrumbs_on',	
        array(
            'default'			=> 'enable',
            'type'				=> 'theme_mod',
            'capability'		=> 'edit_theme_options',
            'sanitize_callback'	=> 'digital_customize_sanitize_select'
        ));
    $wp_customize->add_control('digital_breadcrumbs_on',
         array (                             
            'type' => 'radio',
            'label' => __('Enable or Disable Breadcrumbs','digital'),
            'settings'   => 'digital_breadcrumbs_on',
            'section' => 'digital_breadcrumbs_section',
            'choices' => array(
                'enable' => __('Enable','digital'),
                'disable' => __('Disable','digital'),
             ),
             'priority'    => apply_filters( 'digital_breadcrumbs_on_priority', 30 ),
         ));